AvalonFormatter (LogKit API)
Keywords: org.apache.log.format.AvalonFormatter,AvalonFormatter class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log.format
Class AvalonFormatter

    java.lang.Object
      |
      +--org.apache.log.format.PatternFormatter
            |
            +--org.apache.log.format.ExtendedPatternFormatter
                  |
                  +--org.apache.log.format.AvalonFormatter

All Implemented Interfaces:
  Formatter, Formatter

Deprecated. Use `org.apache.avalon.framework.logger.AvalonFormatter` instead of this one.

public class AvalonFormatter
extends ExtendedPatternFormatter

This formatter extends ExtendedPatternFormatter so that CascadingExceptions are formatted with all nested exceptions.

- `class` : outputs the name of the class that has logged the message. The optional `short` subformat removes the package name. Warning : this pattern works only if formatting occurs in the same thread as the call to Logger, i.e. it won't work with `AsyncLogTarget`.

Author:
  Avalon Development Team

Nested Class Summary

Nested classes inherited from class org.apache.log.format.PatternFormatter
`PatternFormatter.PatternRun`

Field Summary
`static boolean` | `DEFAULT_PRINT_CASCADING` Deprecated. The constant defining the default behaviour for printing nested exceptions.
`static int` | `DEFAULT_STACK_DEPTH` Deprecated. The constant defining the default stack depth when none other is specified.

Fields inherited from class org.apache.log.format.PatternFormatter
`MAX_TYPE`

Constructor Summary
`AvalonFormatter(String pattern)` Deprecated. Construct the formatter with the specified pattern and which which prints out exceptions to stackDepth of 8.
`AvalonFormatter(String pattern, int stackDepth, boolean printCascading)` Deprecated. Construct the formatter with the specified pattern and which which prints out exceptions to stackDepth specified.

Method Summary
`protected String` | `formatPatternRun(LogEvent event, PatternFormatter.PatternRun run)` Deprecated. Formats a single pattern run (can be extended in subclasses).
`protected String` | `getStackTrace(Throwable throwable, String format)` Deprecated. Utility method to format stack trace.
`protected int` | `getTypeIdFor(String type)` Deprecated. Retrieve the type-id for a particular string.

Methods inherited from class org.apache.log.format.PatternFormatter
`format, getCategory, getContext, getContextMap, getContextStack, getMessage, getPriority, getRTime, getThread, getTime, parse, setFormat`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_STACK_DEPTH

    public static final int DEFAULT_STACK_DEPTH

  Deprecated.
  The constant defining the default stack depth when none other is specified.

  See Also:
    Constant Field Values

### DEFAULT_PRINT_CASCADING

    public static final boolean DEFAULT_PRINT_CASCADING

  Deprecated.
  The constant defining the default behaviour for printing nested exceptions.

  See Also:
    Constant Field Values

Constructor Detail

### AvalonFormatter

    public AvalonFormatter(String pattern)

  Deprecated.
  Construct the formatter with the specified pattern and which which prints out exceptions to stackDepth of 8.

Parameters:
  `pattern` - The pattern to use to format the log entries

### AvalonFormatter

    public AvalonFormatter(String pattern,
                           int stackDepth,
                           boolean printCascading)

  Deprecated.
  Construct the formatter with the specified pattern and which which prints out exceptions to stackDepth specified.

Parameters:
  `pattern` - The pattern to use to format the log entries
  `stackDepth` - The depth to which stacktraces are printed out
  `printCascading` - true enables printing of nested exceptions, false only prints out the outermost exception

Method Detail

### getStackTrace

    protected String getStackTrace(Throwable throwable,
                                   String format)

  Deprecated.
  Utility method to format stack trace.

  Overrides:
    `getStackTrace` in class `PatternFormatter`
  Parameters:
    `throwable` - the throwable instance
    `format` - ancilliary format parameter - allowed to be null
  Returns:
    the formatted string

### getTypeIdFor

    protected int getTypeIdFor(String type)

  Deprecated.
  Retrieve the type-id for a particular string.

  Overrides:
    `getTypeIdFor` in class `ExtendedPatternFormatter`
  Parameters:
    `type` - the string
  Returns:
    the type-id

### formatPatternRun

    protected String formatPatternRun(LogEvent event,
                                      PatternFormatter.PatternRun run)

  Deprecated.
  Description copied from class: `ExtendedPatternFormatter`
  Formats a single pattern run (can be extended in subclasses).

  Overrides:
    `formatPatternRun` in class `ExtendedPatternFormatter`
  Parameters:
    `event` - the log event
    `run` - the pattern run to format.
  Returns:
    the formatted result.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Apache Jakarta Project. All Rights Reserved.